"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x107e5eac0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x107e5eb60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107e5ec00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107e5eca0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x107e5ed40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107e5ede0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107e5ee80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107e5ef20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107e5efc0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f060>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f100>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f1a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f240>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f2e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f380>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f420>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f4c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f560>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f600>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f6a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f740>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f7e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f880>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f920>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x107e5f9c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x107e5fa60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x107e5fb00>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x107e5fba0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x107e5fc40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x107e5fce0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x107e5fd80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x107e5fe20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x107e5fec0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x107e5ff60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x107eac040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x107eac0e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x107eac180>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x107eac220>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107eac2c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107eac360>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107eac400>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x107eac4a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x107eac540>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x107eac5e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x107eac680>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x107eac720>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x107eac7c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107eac860>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107eac900>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x107eac9a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x107eaca40>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x107eacae0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x107eacb80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x107eacc20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x107eaccc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x107eacd60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x107eace00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107eacea0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x107eacf40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x107eacfe0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x107ead080>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x107ead120>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x107ead1c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x107ead260>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x107ead300>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x107ead3a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x107ead440>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x107ead4e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x107ead580>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107ead620>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x107ead6c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x107ead760>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107ead800>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x107ead8a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x107ead940>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x107ead9e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x107eada80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x107eadb20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x107eadbc0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x107eadc60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x107eadda0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x107eadd00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x107eade40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x107eadee0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x107eadf80>)]
name: str = 'fr_HOCCN'
